@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:wght@500&family=Poppins:wght@500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:wght@500&family=Poppins:wght@300;400;500&display=swap");

.maininfoforback {
    height: 100vh;
    width: 100%;
    background-image: url(../img/ecobeef-home-slider-1.jpg);
    background-size: cover;
    background-position: center center;
}

.header {
    display: flex;
    max-width: 1060px;
    height: 112px;
    align-items: center;
}

.topheaderleft {

    display: flex;
    justify-content: flex-end;
    align-items: center;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0px;
    font-family: "Poppins", Arial, Tahoma, sans-serif;
    color: #342111;
}

.topheaderleft a {
    padding: 0 20px;
}

.logo {
    padding: 0 100px;
}

.topheaderright {

    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0px;
    font-family: "Poppins", Arial, Tahoma, sans-serif;
    color: #342111;
}

.bottom {
    padding: 100px 0 50px;
}

.listerbot {
    display: flex;
    max-width: 1060px;
    gap: 20px;
    padding: 100px 0 100px;
}

.firstelementbot {
    width: 23%;
    font-size: 22px;
    line-height: 32px;
    font-weight: 500;
    letter-spacing: 0px;
    height: 200px;
    fill: darkgreen;
}

.topheaderleft a {
    margin: 0;
}

.topheaderright a {
    padding: 0 20px;
    margin: 0;
}

.firstelementbot p {
    color: #342111;

    font-family: "Playfair Display", Arial, Tahoma, sans-serif;
}

.icons {

    margin-top: 50px;
}

.firstelementbot i {
    color: #519032;
    font-size: 14px;
    letter-spacing: 1px;
}

.secondelementbot {
    width: 23%;
}

.secondelementbot a {
    text-decoration: none;
    color: #519032;
    font-size: 14px;
}

.secondelementbot h4 {
    color: #342111;
    margin-bottom: 25px;
    font-size: 22px;
    line-height: 32px;
    font-weight: 500;
    letter-spacing: 0px;
    font-family: "Playfair Display", Arial, Tahoma, sans-serif;
}



.thirdelementbot a {
    text-decoration: none;
    color: #519032;
    font-size: 14px;
}

ul {
    line-height: 36px;
    font-family: "Poppins", Arial, Tahoma, sans-serif;

}

b {
    font-weight: 700;

}

.thirdelementbot {
    padding-top: 25px;
    width: 23%;
}

.fourthelementbot {
    width: 23%;
}

.fourthelementbot h4 {
    color: #342111;
    margin-bottom: 35px;
    font-size: 22px;
    line-height: 32px;
    font-weight: 500;
    letter-spacing: 0px;
    font-family: "Playfair Display", Arial, Tahoma, sans-serif;
}

.fourthelementbot p {
    font-family: "Poppins", Arial, Tahoma, sans-serif;
    color: #7c7c7c;
    margin-bottom: 40px;
}

.fourthelementbot a {

    color: #519032;
    font-size: 14px;
    font-family: "Poppins", Arial, Tahoma, sans-serif;

}

.bottertext {
    text-align: center;
    display: flex;
    justify-content: center;
    margin: 0;
    font-family: "Poppins", Arial, Tahoma, sans-serif;
    color: #7c7c7c;

}

.bottertext a {
    color: #519032;
    margin: 0;
}

.bottertext p {
    margin: 0;
}

#menuToggle {
    display: none;
    position: relative;
    top: 50px;
    margin-left: 50px;

    z-index: 1;

    -webkit-user-select: none;
    user-select: none;
}

#menuToggle a {
    text-decoration: none;
    color: #232323;

    transition: color 0.3s ease;
}

#menuToggle a:hover {
    color: tomato;
}

#menuToggle input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
    -webkit-touch-callout: none;
}

#menuToggle span {
    display: block;
    width: 33px;
    height: 4px;
    margin: 0;
    margin-bottom: 5px;
    position: relative;
    background: #cdcdcd;
    border-radius: 3px;
    z-index: 1;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1)
}

#menuToggle span:first-child {
    transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
    transform-origin: 0% 100%;
}


#menuToggle input:checked~span {
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: #232323;
}


#menuToggle input:checked~span:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}


#menuToggle input:checked~span:nth-last-child(2) {
    transform: rotate(-45deg) translate(0, -1px);
}


#menu {
    position: absolute;
    width: 300px;
    margin: -100px 0 0 -50px;
    padding: 50px;
    padding-top: 125px;

    background: #ededed;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;

    transform-origin: 0% 0%;
    transform: translate(-100%, 0);

    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
}

#menu li {
    padding: 10px 0;
    font-size: 22px;
}


#menuToggle input:checked~ul {
    transform: none;
}


@media (max-width: 1240px) {
    #menuToggle {
        display: block;
    }

    .topheaderleft {
        display: none;
    }

    .topheaderright {
        display: none;
    }

    .listerbot {
        max-width: 940px;
    }
}

@media (max-width:960px) {
    .listerbot {
        max-width: 708px;
    }

    .firstelementbot p,
    .secondelementbot h4,
    .fourthelementbot h4 {
        font-size: 19px;
        line-height: 27px;
        letter-spacing: 0px;
    }

    .fourthelementbot p {
        font-size: 13px;
        line-height: 21px;
        letter-spacing: 0px;
    }
}

@media(max-width:768px) {
    h2 {
        font-size: 29px;
        line-height: 38px;
        letter-spacing: 0px;
    }

    .listerbot {
        flex-direction: column;
        max-width: 480px !important;
        padding-left: 33px !important;
        padding-right: 33px !important;
    }

    .firstelementbot p,
    .secondelementbot h4,
    .fourthelementbot h4 {
        font-size: 17px;
        line-height: 24px;
        letter-spacing: 0px;
    }

    .firstelementbot {
        width: 100%;
        height: 150px;
    }

    .secondelementbot {
        width: 100%;
        font-size: 13px;
    }

    .thirdelementbot {
        width: 100%;
        font-size: 13px;
    }

    .fourthelementbot {
        width: 100%;
    }
}




@media(max-width:479px) {
    h2 {
        font-size: 23px;
        line-height: 30px;
        letter-spacing: 0px;
    }

    .bottertext {
        flex-direction: column;
    }
}